import { select } from 'd3';
import { viz } from './viz';
import { observeResize } from './observeResize';

export { xAxis } from './xAxis';
export { yAxis } from './yAxis';
export { xAxisLabel } from './xAxisLabel';
export { yAxisLabel } from './yAxisLabel';
export { axes } from './axes';
export { observeResize };

export const main = (container, { state, setState }) => {
  const dimensions = observeResize({
    state,
    setState,
    container,
  });

  if (dimensions === null) return;

  const { width, height } = dimensions;

  const svg = select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', width)
    .attr('height', height);

  viz(svg, {
    xAxisLabelText: 'X Axis Label',
    xAxisLabelOffset: 35,
    yAxisLabelText: 'Y Axis Label',
    yAxisLabelOffset: 20,
    marginTop: 90,
    marginRight: 50,
    marginBottom: 50,
    marginLeft: 50,
    width,
    height,
    innerRectFill: '#B5B5B5',
  });
};
